Subject: Re: I can't inicializate PostgreSQL
From: Manuel Tejada <[email-masked]>
To: Carlo Florendo y Flora <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Jul 2004 00:41:15 -0500 (CDT)

Looks like as there is no way to initialize PostgreSQL
7.4.3 on Windows ME.
Thanks anyway to Carlo Florendo y Flora and Igor
Pechtchanski for to be too gentle trying to help me.

See what happens after editing cygserver.conf file to
change "yes" to "no" in line kern.svr.sharedmem:

------------------------------------------------------
admin@alejo ~
$ /usr/sbin/cygserver &
[1] 1028997

admin@alejo ~
$ cygserver: Initialization complete.  Waiting for
requests.

admin@alejo ~
$ initdb -D /usr/share/postgresql/data
The files belonging to this database system will be
owned by user "admin".
This user must also own the server process.

The database cluster will be initialized with locale
C.

creating directory /usr/share/postgresql/data... ok
creating directory /usr/share/postgresql/data/base...
ok
creating directory
/usr/share/postgresql/data/global... ok
creating directory
/usr/share/postgresql/data/pg_xlog... ok
creating directory
/usr/share/postgresql/data/pg_clog... ok
selecting default max_connections... cygserver: Shared
memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
10
selecting default shared_buffers... cygserver: Shared
memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
cygserver: Shared memory support not started
Signal 12
50
creating configuration files... ok
creating template1 database in
/usr/share/postgresql/data/base/1... cygserver: Shared
memory support not started
Signal 12

initdb: failed
initdb: removing data directory
"/usr/share/postgresql/data"

-----------------------------------------

It was a bad decision from myself to try to upgrade
from my old PostgreSQL 7.4.1-3 to 7.4.3-1. Now I have
no PostgreSQL

--- Carlo Florendo y Flora
<[email-masked]> escribió: > Manuel
Tejada wrote:
> 
> >Thanks Carlo Florendo y Flora and Igor Pechtchanski
> 
> >for your very illustrative comments. Based on that
> I
> >follow the procedure again for install PostgreSQL
> in
> >my Window ME. Now I can run Cygserver but The
> >initialization of PostgreSQL failled. See the
> output I
> >got: 
> >
> >--------------------------------
> >
> >admin@alejo ~
> >$ CYGWIN=server
> >
> >admin@alejo ~
> >$ export CYGWIN
> >
> >admin@alejo ~
> >$ /usr/sbin/cygserver &
> >[1] 901443
> >
> >admin@alejo ~
> >$ cygserver: Initialization complete.  Waiting for
> >requests.
> >// I had to press ENTER because the System really
> was
> >wainting for something
> >
> >admin@alejo ~
> >$ initdb -D /usr/share/postgresql/data
> >The files belonging to this database system will be
> >owned by user "admin".
> >This user must also own the server process.
> >
> >The database cluster will be initialized with
> locale
> >C.
> >
> >creating directory /usr/share/postgresql/data... ok
> >creating directory
> /usr/share/postgresql/data/base...
> >ok
> >creating directory
> >/usr/share/postgresql/data/global... ok
> >creating directory
> >/usr/share/postgresql/data/pg_xlog... ok
> >creating directory
> >/usr/share/postgresql/data/pg_clog... ok
> >selecting default max_connections... 10
> >selecting default shared_buffers... 50
> >creating configuration files... ok
> >creating template1 database in
> >/usr/share/postgresql/data/base/1... FATAL: 
> >shmat(id=1179648) failed: Invalid argument
> >
> >initdb: failed
> >initdb: removing data directory
> >"/usr/share/postgresql/data"
> >
> >---------------------------------------
> >
> >Really I don't know what does meant the line
> "FATAL: 
> >shmat(id=1179648) failed: Invalid argument".
> >  
> >
> If you check the the most recent posts on the
> postgresql mailing list 
> archive (pgsql-cygwin), a similar problem has been
> posted but a solution 
> has not yet been proposed.
> However, it says that there could be a need to
> modify the cygserver.conf 
> file.
> 
> shmat has something to do with shared memory.  
> Thus, try disabling 
> shared memory on cygserver.conf.  Look for the line
> which says:
> 
> #kern.srv.sharedmem yes
> 
> Uncomment it and change the yes to no.  Restart
> cygserver, remove the 
> contents of /usr/share/postgresql/data and run 
> initdb.  Let's see what 
> happens.
> 
> Thanks!
> 
> Best Regards,
> 
> Carlo
> ------
> Carlo Florendo
> Astra Philippines Inc.
> www.astra.ph
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:      
> http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
>  

=====
Manuel TEJADA M.

_________________________________________________________
Do You Yahoo!?
La mejor conexión a internet y 25MB extra a tu correo por $100 al mes. http://net.yahoo.com.mx

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/